class ComponentDisplay extends Component
{
	// private members
	private _view 				= null;
	private _width:number 		= 0;
	private _height:number 		= 0;
	private _scaleX:number		= 1;
	private _scaleY:number		= 1;
	private _origWidth:number	= 0;
	private _origHeight:number	= 0;

	// getters
	public get view():any 		{ return this._view; 	}
	public get width():number 	{ return this._width; 	}
	public get height():number 	{ return this._height; 	}
	public get scaleX():number 	{ return this._scaleX; 	}
	public get scaleY():number 	{ return this._scaleY; 	}
	public get scale():Point	{ return new Point(this._scaleX, this._scaleY); }



	/**
	 * setter for view
	 *
	 * @param view - any
	 */
	public set view(view:any)
	{
		this._view 			= view;
		this._height 		= view.height;
		this._width 		= view.width;
		this._origWidth 	= view.width;
		this._origHeight 	= view.height;
		this._scaleX		= 1;
		this._scaleY		= 1;
	}



	/**
	 * setter for width
	 *
	 * @param value - number
	 */
	public set width(value:number)
	{
		this._width		= value;

		// TODO scaleX math
	}



	/**
	 * setter for height
	 *
	 * @param value - number
	 */
	public set height(value:number)
	{
		this._height	= value;

		// TODO scaleY math
	}



	/**
	 * setter for scaleX
	 *
	 * @param value - number
	 */
	public set scaleX(value:number)
	{
		this._scaleX 	= value;

		// TODO width math
	}



	/**
	 * setter for scaleY
	 *
	 * @param value - number
	 */
	public set scaleY(value:number)
	{
		this._scaleY 	= value;

		// TODO scale math
	}



	/**
	 * setter for scale combined
	 *
	 * @param value - Point
	 */
	public set scale(value:Point)
	{
		this._scaleX 	= value.x;
		this._scaleY 	= value.y;

		// TODO scale math
	}
}