class Rect
{
	private _x:number			= 0;
	private _y:number			= 0;
	private _width:number		= 0;
	private _height:number		= 0;
	private _left:number		= 0;
	private _right:number		= 0;
	private _top:number			= 0;
	private _bottom:number		= 0;


	// getters
	public get x():number 			{ return this._x; 		}
	public get y():number 			{ return this._y; 		}
	public get width():number 		{ return this._width; 	}
	public get height():number 		{ return this._height; 	}
	public get left():number 		{ return this._left; 	}
	public get right():number 		{ return this._right; 	}
	public get top():number 		{ return this._top; 	}
	public get bottom():number 		{ return this._bottom; 	}


	// setters
	public set x(val:number)
	{
		this._x 	= val;
		this._left 	= val;
		this._right = val + this._width;
	}
	public set y(val:number)
	{
		this._y 	= val;
		this._top 	= val;
		this._bottom = val + this._height;
	}
	public set width(val:number)
	{
		this._width = val;
		this._right = this._x + val;
	}
	public set height(val:number)
	{
		this._height = val;
		this._bottom = this._y + val;
	}



	/**
	 * constructor
	 */
	constructor(x:number, y:number, w:number, h:number)
	{
		this._x 			= x;
		this._y 			= y;
		this._width 		= w;
		this._height 		= h;
		this._top			= y;
		this._bottom		= y + this._height;
		this._left			= x;
		this._right			= x + this._width;
	}


	public containsPoint(point:Point):bool
	{
		// TODO implement
		return false;
	}

	public containsRect(rect:Rect):bool
	{
		// TODO implement
		return false;
	}

	public intersectsRect(rect:Rect):bool
	{
		return !(this.left > rect.right || this.right < rect.left || this.top > rect.bottom || this.bottom < rect.top);
	}
}