class SystemKeyboardInput extends System {
    private _keyInput: KeyInput;
    private _screenData: ScreenData;
    constructor (keyInput: KeyInput, screenData: ScreenData);
    public start(): void;
    public update(dt: number, t: number): void;
    public end(): void;
}
class ShipNode extends SystemNode {
    public position: ComponentPosition;
    public velocity: ComponentVelocity;
    public display: ComponentDisplay;
    public animation: ComponentAnimation;
}
class Game extends Engine {
    private _keyInput: KeyInput;
    private _screenData: ScreenData;
    constructor (canvas, width, height);
    public postPreload(): void;
}
