class SystemSimpleCollison extends System {
    private _screenData;
    constructor (screenData: ScreenData);
    public start(): void;
    public update(dt: number, t: number): void;
    public end(): void;
}
class AsteroidNode extends SystemNode {
    public position: ComponentPosition;
    public velocity: ComponentVelocity;
    public display: ComponentDisplay;
    public animation: ComponentAnimation;
}
class Game extends Engine {
    private _keyInput;
    private _screenData;
    constructor (canvas, width, height);
    public postPreload(): void;
}
