var __extends = this.__extends || function (d, b) {
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var Game = (function (_super) {
    __extends(Game, _super);
    function Game(canvas, width, height) {
        var _this = this;
        _super.call(this, canvas, width, height);
        this._screenData = null;
        this._screenData = new ScreenData(canvas, width, height);
        this._screenData.canvas.width = width;
        this._screenData.canvas.height = height;
        this.managerAsset.addWithTag("./bin/assets/image/ryubg.png", ManagerAsset.TYPE_IMAGE, "bg");
        this.managerAsset.addWithTag("./bin/assets/image/ryuCPS2.png", ManagerAsset.TYPE_ATLAS, "ryu");
        this.managerAsset.addWithTag("./bin/assets/image/guileCPS2.png", ManagerAsset.TYPE_ATLAS, "guile");
        this.managerAsset.queueLoad(function () {
            return _this.postPreload();
        });
    }
    Game.prototype.postPreload = function () {
        this._screenData.setBackgroundImage("./bin/assets/image/ryubg.png", false);
        var ryu = new Sprite("EntityRyu", "ryu", true);
        ryu.animation.addWithTag("idle", [
            'ryu-cvs2-stance1.png', 
            'ryu-cvs2-stance2.png', 
            'ryu-cvs2-stance3.png', 
            'ryu-cvs2-stance4.png', 
            'ryu-cvs2-stance5.png', 
            'ryu-cvs2-stance6.png'
        ]);
        ryu.animation.currentAnimationTag = "idle";
        ryu.animation.frameskip = 5;
        ryu.position.x = 220;
        ryu.position.y = 210;
        var guile = new Sprite("EntityGuile", "guile", true);
        guile.animation.addWithTag("idle", [
            'guile-oldstance1.png', 
            'guile-oldstance2.png', 
            'guile-oldstance3.png', 
            'guile-oldstance4.png', 
            'guile-oldstance5.png'
        ]);
        guile.animation.currentAnimationTag = "idle";
        guile.animation.frameskip = 5;
        guile.position.x = 620;
        guile.position.y = 240;
        this.setCoreRunning(true);
    };
    return Game;
})(Engine);
