class SystemNodeList
{
	// members
	public head			= null;
	public tail			= null;



	// constructor
	constructor()
	{

	}


	public add(node):void
	{
		if(this.head == undefined)
		{
			this.head = this.tail = node;
			node.next = node.previous = null;
		} else
		{
			this.tail.next = node;
			node.previous = this.tail;
			node.next = null;
			this.tail = node;
		}

		// TODO node added?
	}


	public remove(node):void
	{
		if(this.head == node)
		{
			this.head = this.head.next;
		}
		if(this.tail == node)
		{
			this.tail = this.tail.previous;
		}
		if(node.previous)
		{
			node.previous.next = node.next;
		}
		if(node.next)
		{
			node.next.previous = node.previous;
		}

		// TODO node removed?
	}


	public removeAll():void
	{
		while(this.head)
		{
			var node = this.head;
			this.head = node.next;
			node.previous = null;
			node.next = null;

			// TODO node removed?
		}

		this.tail = null;
	}

}