/**
 * SystemMovement
 */
class SystemMovement extends System
{
	// properties



	// constructor
	constructor()
	{
		super();

		// create the node list
		this.nodelist = ManagerSystemNode.instance.getList(NodeMovement);

		Debug.log("SystemMovement* init complete");
	}


	public start():void
	{
		Debug.log("SystemMovement* start");
	}


	public update(dt:number, t:number):void
	{
		for(var node = this.nodelist.head; node; node = node.next)
		{
			node.position.x += node.velocity.x * dt;
			node.position.y += node.velocity.y * dt;

			node.velocity.x *= node.velocity.damping;
			node.velocity.y *= node.velocity.damping;
		}
	}


	public end():void
	{
		Debug.log("SystemCanvasRenderer* end");
	}
}