/**
 *	Asset used in AssetManager.ts
 */
class Asset
{
	// members
	public type:string					= null;
	public url:string					= null;
	public tag:string					= null;

	// optionally used with texture atlas
	public atlasData:AtlasFrameData[]	= null;
	public atlasDataRequest				= null;

	// the asset itself (Image / Sound)
	public content						= null;
}