/**
 * Debug class handles verbose output based on the debuggingEnabled bool
 */
class Debug
{
	// properties
	public static debuggingEnabled:bool 		= true;



	// update tick
	public static log(str:string)
	{
		if(this.debuggingEnabled == true)
		{
			console.log(str);
		}
	}


	public static warn(str:string)
	{
		if(this.debuggingEnabled == true)
		{
			throw str;
		}
	}
}