class MathUtils
{
	public static degreesToRadians(degrees:number):number
	{
		return degrees * Math.PI / 180;
	}

	public static distanceBetween(point1:Point, point2:Point):number
	{
		return Math.sqrt((point1.x - point2.x) * (point1.x - point2.x) + (point1.y - point2.y) * (point1.y - point2.y))
	}
}