/**
 * SystemOriginPoint
 */
class SystemOriginPoint extends System
{
	// properties



	// constructor
	constructor()
	{
		super();

		// create the node list
		this.nodelist = ManagerSystemNode.instance.getList(NodeLogic);

		Debug.log("SystemOriginPoint* init complete");
	}



	public start():void
	{
		Debug.log("SystemOriginPoint* start");
	}



	public update(dt:number, t:number):void
	{
		for(var node = this.nodelist.head; node; node = node.next)
		{
			node.position.rotation += 60 * dt;
		}
	}



	public end():void
	{
		Debug.log("SystemOriginPoint* end");
	}
}